#include <bits/stdc++.h>
#include <vector>
using namespace std;
int zbir(int i,vector<int> v,int k){
	int zbir=0;
	for(int j=i+1;j<k;j++){
		zbir+=v[j];
	}
	return zbir;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);int n,k,x;cin>>n>>k>>x;
    vector<int> v;int c=1;int z=0;int o;
    for(int i=0;i<n;i++){
    	cin>>o;v.push_back(o);
	}
	for(int j=0;j<n-k+1;j++){
		z=0;
		c=1;
	for(int i=j;i<j+k;i++){
		/*cout<<"eve"<<v[i]*c<<" ";*/
		z+=v[i]*c;
		if(c<x){
		if(i<j+k-1){
		if(zbir(i,v,j+k)>0 && v[i+1]>0 && c<x){
			c++;/*cout<<endl;*/
		}
		}
		else
		c++;
		}
	}
	cout<<z<<" ";
	}
}